summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-08-21 15:49:39 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-08-21 15:51:19 +0200
commit0632e20982d1d1db26a9667aee66ac0d91e1b024 (patch)
treef3d3bfea943200fa155217413bf43ac783ecb1d3 /media-libs
parentdev-ruby/tins: version bump (diff)
downloadgentoo-0632e20982d1d1db26a9667aee66ac0d91e1b024.tar.gz
gentoo-0632e20982d1d1db26a9667aee66ac0d91e1b024.tar.bz2
gentoo-0632e20982d1d1db26a9667aee66ac0d91e1b024.zip
media-libs/x264: bump a new snapshot
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/x264/Manifest1
-rw-r--r--media-libs/x264/x264-0.0.20150820.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/media-libs/x264/Manifest b/media-libs/x264/Manifest
index 22b65d8c99c..0dc2a5a2c59 100644
--- a/media-libs/x264/Manifest
+++ b/media-libs/x264/Manifest
@@ -5,3 +5,4 @@ DIST x264-snapshot-20130506-2245.tar.bz2 608013 SHA256 da7055a457d19b97ff35a2830
DIST x264-snapshot-20130731-2245.tar.bz2 625052 SHA256 caa39660f2ddc9dc53033af709452a21479c7b7c715c5f9d744d0d452c2d9e67 SHA512 2abcab4013dee9ac58779afd89fc558a8286cf33affda037e95a7e10cf00387cee1ad461ac59c5020fd9b72d303170f16d4e4b5593ec21528a33b0f530878d9d WHIRLPOOL 6f7fcc1c05c47a0d31578fbd0268b84ba458a968b087fb7d1050f67739bec140a1c3ded288cd0000180b5be921b469357ec9cdc363fc1eec82d82bd795557b56
DIST x264-snapshot-20130912-2245.tar.bz2 628862 SHA256 87142cf15b7d7052f2e046a4b80adc3176fd6421889ab3bae83afc10d57ec648 SHA512 3e2223ca465b1ac214a421c512477524309694f321baabcd62b84bc341de34ecf196c8c91a931bbda0d7538dc138b924dc22ed7f242e135e4b53b387638b40c0 WHIRLPOOL b795a91511994761e9cf6e3a279708e4536ebc281b9ca1d18f0bceb93c89c062608d2e5c779a0f924d2dc005f90921223b42b22e409eaaca8a0041aae354213f
DIST x264-snapshot-20140308-2245.tar.bz2 624712 SHA256 b179cb1e1d4f51418d292011a7494d5b62145571c05c22007f28d8fd89d2ebbe SHA512 42dc8183aa7af2bd4c360edc0349193cf69a119450880af0c1586e8f27490d7c6784c464b29c9f07ae972aaf661672ab4f2094a46a3d19b6df35be1f9d9a1629 WHIRLPOOL b1ac3341647d9d8d8ff6177f179ee8b5d6a49a38a48791748c24d5cd3c53858758785a0d21d42fbe373ec74465d947b69526a487da15fbca1a1f9aa50064288c
+DIST x264-snapshot-20150820-2245.tar.bz2 718209 SHA256 0ea86849d1a9b0a5b88fe6e0281359d7f5675c68fb83f6397b3e02896ccd77e3 SHA512 6b85f96f7cc85e1e938dad06c01b777aaf866796fb1763a02b4b7fa9c44f70bf15fc1bef123f7b24bb2c58b23f7276d4eb2b8f99b2e4fef3c716ed7f66d66e44 WHIRLPOOL daf5a63dbe2cb77a496a3eec1b1687ef6c4a008328064c46bd0e90139d328a6ff4e7dbd17b8dad57c357717c0b665293c86883213b483e85d25a06ec93c81024
diff --git a/media-libs/x264/x264-0.0.20150820.ebuild b/media-libs/x264/x264-0.0.20150820.ebuild
new file mode 100644
index 00000000000..4dc50414bc7
--- /dev/null
+++ b/media-libs/x264/x264-0.0.20150820.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic multilib toolchain-funcs eutils multilib-minimal
+
+DESCRIPTION="A free library for encoding X264/AVC streams"
+HOMEPAGE="http://www.videolan.org/developers/x264.html"
+if [[ ${PV} == 9999 ]]; then
+ inherit git-2
+ EGIT_REPO_URI="git://git.videolan.org/x264.git"
+else
+ inherit versionator
+ MY_P="x264-snapshot-$(get_version_component_range 3)-2245"
+ SRC_URI="http://download.videolan.org/pub/videolan/x264/snapshots/${MY_P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+SONAME="148"
+SLOT="0/${SONAME}"
+
+LICENSE="GPL-2"
+IUSE="10bit +interlaced opencl pic static-libs cpu_flags_x86_sse +threads"
+
+ASM_DEP=">=dev-lang/yasm-1.2.0"
+DEPEND="abi_x86_32? ( ${ASM_DEP} )
+ abi_x86_64? ( ${ASM_DEP} )
+ opencl? ( dev-lang/perl )"
+RDEPEND="opencl? ( >=virtual/opencl-0-r3[${MULTILIB_USEDEP}] )
+ abi_x86_32? ( !<=app-emulation/emul-linux-x86-medialibs-20130224-r7
+ !app-emulation/emul-linux-x86-medialibs[-abi_x86_32(-)] )"
+
+DOCS="AUTHORS doc/*.txt"
+
+src_prepare() {
+ # Initial support for x32 ABI, bug #420241
+ # Avoid messing too much with CFLAGS.
+ epatch "${FILESDIR}"/x264-cflags.patch
+}
+
+multilib_src_configure() {
+ tc-export CC
+ local asm_conf=""
+
+ if [[ ${ABI} == x86* ]] && use pic || [[ ${ABI} == "x32" ]]; then
+ asm_conf=" --disable-asm"
+ fi
+
+ # Upstream uses this, see the cflags patch
+ use cpu_flags_x86_sse && append-flags "-msse" "-mfpmath=sse"
+ append-flags "-ffast-math"
+
+ "${S}/configure" \
+ --prefix="${EPREFIX}"/usr \
+ --libdir="${EPREFIX}"/usr/$(get_libdir) \
+ --disable-cli \
+ --disable-avs \
+ --disable-lavf \
+ --disable-swscale \
+ --disable-ffms \
+ --disable-gpac \
+ --enable-pic \
+ --enable-shared \
+ --host="${CHOST}" \
+ $(usex 10bit "--bit-depth=10" "") \
+ $(usex interlaced "" "--disable-interlaced") \
+ $(usex opencl "" "--disable-opencl") \
+ $(usex static-libs "--enable-static" "") \
+ $(usex threads "" "--disable-thread") \
+ ${asm_conf} || die
+}